Returns a list of all equipment in an organization.
curl --request GET \
--url https://api.samsara.com/fleet/equipment \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "112",
"assetSerial": "1FUJA6BD31LJ09646",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"installedGateway": {
"model": "Ag26",
"serial": "<string>"
},
"name": "Crane A7",
"notes": "These are notes about this given equipment.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
curl --request GET \
--url https://api.samsara.com/fleet/equipment \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "112",
"assetSerial": "1FUJA6BD31LJ09646",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"installedGateway": {
"model": "Ag26",
"serial": "<string>"
},
"name": "Crane A7",
"notes": "These are notes about this given equipment.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}